Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.io.tptp
Class AxiomRenderer

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLObjectVisitorAdapter
            |
            +--uk.ac.man.cs.img.owl.io.tptp.AxiomRenderer

All Implemented Interfaces:
  OWLObjectVisitor

public class AxiomRenderer
extends OWLObjectVisitorAdapter

AxiomRenderer.java Created: Fri Feb 21 10:57:24 2003

Version:
  $Id: AxiomRenderer.java,v 1.2 2003/11/21 16:31:11 sean_bechhofer Exp $

Constructor Summary
`AxiomRenderer(Renderer renderer)`

Method Summary
`String` | `result()`
`void` | `visit(OWLDifferentIndividualsAxiom ax)`
`void` | `visit(OWLDisjointClassesAxiom axiom)`
`void` | `visit(OWLEquivalentClassesAxiom axiom)`
`void` | `visit(OWLEquivalentPropertiesAxiom axiom)`
`void` | `visit(OWLSameIndividualsAxiom ax)`
`void` | `visit(OWLSubClassAxiom axiom)`
`void` | `visit(OWLSubPropertyAxiom axiom)`

Methods inherited from class org.semanticweb.owl.model.helper.OWLObjectVisitorAdapter
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxiomRenderer

    public AxiomRenderer(Renderer renderer)

Method Detail

### result

    public String result()

### visit

    public void visit(OWLEquivalentClassesAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDisjointClassesAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLSubClassAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLEquivalentPropertiesAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLSubPropertyAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDifferentIndividualsAxiom ax)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLSameIndividualsAxiom ax)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb